Wybór wersji PHP dla Magento

20.02.2012 01:44

Gdy pojawiło się PHP 5.3, skrypt Magento (wtedy wersja 1.3) nie był przystosowany do wymagań nowego silnika skryptowego. Nieodzowna była wtedy aktualizacja Magento do nowszej wersji.

Ale jak wszyscy wiedzą aktualizacja Magento z wersji 1.3 do wyższej np 1.4, to nie lada wyzwanie. Do tego niektórzy użytkownicy nadpisywali pliki silnika (core) Magento, a aktualizacja nadpisała by te zmiany.

Ostatnimi czasy także wiele hostingów przechodzi na PHP 5.3, a może już niedługo na PHP 5.4. Wtedy ich klienci Magento będą zmuszani do aktualizacji oprogramowania co nie zawsze jest proste. 

Ale u nas klienci nie są i nie będą do niczego zmuszani!

My proponujemy dowolny wybór silnika PHP: jeśli nasz klient uzna że jego sklep będzie poprawnie działał na PHP 5.2 i nie jest pewny co do PHP 5.3 to jego konto hostingowe zostanie podłączone pod wybraną wersję.

Także u nas klienci mają swobodę w konfiguracji swojego silnika PHP. Do każdego konta hostingowego jest przypisany indywidualny pliki PHP.INI, który po modyfikacji pozwala na dostrojenie środowiska PHP w wybrany dla klienta sposób.

Na życzenie możemy także skompilować daną wersję PHP dodając tylko te moduły które zażyczy sobie klient. Jest także możliwość wyboru dodatkowych modułów silnika PHP. 

Wszystko to jest robione troszcząc się o jak najwyższą wydajność naszych serwerów i tym samym sklepów Magento naszych klientów.